com.impinj.stp

## Class StpApi.CartonContentsReport

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - com.impinj.stp.StpApi.CartonContentsReport

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.CartonContentsReportOrBuilder, java.io.Serializable
  Enclosing class:
    StpApi

      public static final class StpApi.CartonContentsReport
      extends com.google.protobuf.GeneratedMessage
      implements StpApi.CartonContentsReportOrBuilder

  Protobuf type `Impinj.STP.CartonContentsReport`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StpApi.CartonContentsReport.Builder` Protobuf type `Impinj.STP.CartonContentsReport`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CARTON_CONTENTS_ERROR_FIELD_NUMBER`
    `static int` | `CARTON_CONTENTS_RESULT_FIELD_NUMBER`
    `static int` | `CARTON_CONTENTS_TAG_FIELD_NUMBER`
    `static int` | `CARTON_SIZE_FIELD_NUMBER`
    `static int` | `ENTER_TIMESTAMP_FIELD_NUMBER`
    `static int` | `EXIT_TIMESTAMP_FIELD_NUMBER`
    `static com.google.protobuf.Parser<StpApi.CartonContentsReport>` | `PARSER`
    `static int` | `START_TIMESTAMP_FIELD_NUMBER`
    `static int` | `STOP_TIMESTAMP_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.CartonContentsError` | `getCartonContentsError(int index)`
    `int` | `getCartonContentsErrorCount()`
    `java.util.List<StpApi.CartonContentsError>` | `getCartonContentsErrorList()`
    `StpApi.CartonContentsErrorOrBuilder` | `getCartonContentsErrorOrBuilder(int index)`
    `java.util.List<? extends StpApi.CartonContentsErrorOrBuilder>` | `getCartonContentsErrorOrBuilderList()`
    `StpApi.CartonContentsResult` | `getCartonContentsResult()`
    `StpApi.CartonContentsTag` | `getCartonContentsTag(int index)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `int` | `getCartonContentsTagCount()` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `java.util.List<StpApi.CartonContentsTag>` | `getCartonContentsTagList()` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsTagOrBuilder` | `getCartonContentsTagOrBuilder(int index)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `java.util.List<? extends StpApi.CartonContentsTagOrBuilder>` | `getCartonContentsTagOrBuilderList()` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `int` | `getCartonSize()` Detected carton size in millimeters
    `static StpApi.CartonContentsReport` | `getDefaultInstance()`
    `StpApi.CartonContentsReport` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `StpApi.Timestamp` | `getEnterTimestamp()` Timestamp of the start trigger
    `StpApi.TimestampOrBuilder` | `getEnterTimestampOrBuilder()` Timestamp of the start trigger
    `StpApi.Timestamp` | `getExitTimestamp()` Timestamp of the stop trigger
    `StpApi.TimestampOrBuilder` | `getExitTimestampOrBuilder()` Timestamp of the stop trigger
    `com.google.protobuf.Parser<StpApi.CartonContentsReport>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `StpApi.Timestamp` | `getStartTimestamp()` DEPRECATED
    `StpApi.TimestampOrBuilder` | `getStartTimestampOrBuilder()` DEPRECATED
    `StpApi.Timestamp` | `getStopTimestamp()` DEPRECATED
    `StpApi.TimestampOrBuilder` | `getStopTimestampOrBuilder()` DEPRECATED
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasCartonContentsResult()`
    `boolean` | `hasCartonSize()` Detected carton size in millimeters
    `boolean` | `hasEnterTimestamp()` Timestamp of the start trigger
    `boolean` | `hasExitTimestamp()` Timestamp of the stop trigger
    `boolean` | `hasStartTimestamp()` DEPRECATED
    `boolean` | `hasStopTimestamp()` DEPRECATED
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static StpApi.CartonContentsReport.Builder` | `newBuilder()`
    `static StpApi.CartonContentsReport.Builder` | `newBuilder(StpApi.CartonContentsReport prototype)`
    `StpApi.CartonContentsReport.Builder` | `newBuilderForType()`
    `protected StpApi.CartonContentsReport.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static StpApi.CartonContentsReport` | `parseDelimitedFrom(java.io.InputStream input)`
    `static StpApi.CartonContentsReport` | `parseDelimitedFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.CartonContentsReport` | `parseFrom(byte[] data)`
    `static StpApi.CartonContentsReport` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.CartonContentsReport` | `parseFrom(com.google.protobuf.ByteString data)`
    `static StpApi.CartonContentsReport` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.CartonContentsReport` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static StpApi.CartonContentsReport` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.CartonContentsReport` | `parseFrom(java.io.InputStream input)`
    `static StpApi.CartonContentsReport` | `parseFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.CartonContentsReport.Builder` | `toBuilder()`
    `protected java.lang.Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<StpApi.CartonContentsReport> PARSER

    - #### CARTON_CONTENTS_RESULT_FIELD_NUMBER

          public static final int CARTON_CONTENTS_RESULT_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ENTER_TIMESTAMP_FIELD_NUMBER

          public static final int ENTER_TIMESTAMP_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### EXIT_TIMESTAMP_FIELD_NUMBER

          public static final int EXIT_TIMESTAMP_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### CARTON_SIZE_FIELD_NUMBER

          public static final int CARTON_SIZE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### CARTON_CONTENTS_TAG_FIELD_NUMBER

          public static final int CARTON_CONTENTS_TAG_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### CARTON_CONTENTS_ERROR_FIELD_NUMBER

          public static final int CARTON_CONTENTS_ERROR_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### START_TIMESTAMP_FIELD_NUMBER

          public static final int START_TIMESTAMP_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### STOP_TIMESTAMP_FIELD_NUMBER

          public static final int STOP_TIMESTAMP_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static StpApi.CartonContentsReport getDefaultInstance()

    - #### getDefaultInstanceForType

          public StpApi.CartonContentsReport getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<StpApi.CartonContentsReport> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasCartonContentsResult

          public boolean hasCartonContentsResult()

      Specified by:
        `hasCartonContentsResult` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsResult

          public StpApi.CartonContentsResult getCartonContentsResult()

      Specified by:
        `getCartonContentsResult` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### hasEnterTimestamp

          public boolean hasEnterTimestamp()

      Timestamp of the start trigger
      Specified by:
        `hasEnterTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getEnterTimestamp

          public StpApi.Timestamp getEnterTimestamp()

      Timestamp of the start trigger
      Specified by:
        `getEnterTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getEnterTimestampOrBuilder

          public StpApi.TimestampOrBuilder getEnterTimestampOrBuilder()

      Timestamp of the start trigger
      Specified by:
        `getEnterTimestampOrBuilder` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### hasExitTimestamp

          public boolean hasExitTimestamp()

      Timestamp of the stop trigger
      Specified by:
        `hasExitTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getExitTimestamp

          public StpApi.Timestamp getExitTimestamp()

      Timestamp of the stop trigger
      Specified by:
        `getExitTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getExitTimestampOrBuilder

          public StpApi.TimestampOrBuilder getExitTimestampOrBuilder()

      Timestamp of the stop trigger
      Specified by:
        `getExitTimestampOrBuilder` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### hasCartonSize

          public boolean hasCartonSize()

      Detected carton size in millimeters
      Specified by:
        `hasCartonSize` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonSize

          public int getCartonSize()

      Detected carton size in millimeters
      Specified by:
        `getCartonSize` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsTagList

          public java.util.List<StpApi.CartonContentsTag> getCartonContentsTagList()

      A list of all tags seen for the duration the carton was between the entry and exit sensors.
      Specified by:
        `getCartonContentsTagList` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsTagOrBuilderList

          public java.util.List<? extends StpApi.CartonContentsTagOrBuilder> getCartonContentsTagOrBuilderList()

      A list of all tags seen for the duration the carton was between the entry and exit sensors.
      Specified by:
        `getCartonContentsTagOrBuilderList` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsTagCount

          public int getCartonContentsTagCount()

      A list of all tags seen for the duration the carton was between the entry and exit sensors.
      Specified by:
        `getCartonContentsTagCount` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsTag

          public StpApi.CartonContentsTag getCartonContentsTag(int index)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.
      Specified by:
        `getCartonContentsTag` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsTagOrBuilder

          public StpApi.CartonContentsTagOrBuilder getCartonContentsTagOrBuilder(int index)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.
      Specified by:
        `getCartonContentsTagOrBuilder` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsErrorList

          public java.util.List<StpApi.CartonContentsError> getCartonContentsErrorList()

      Specified by:
        `getCartonContentsErrorList` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsErrorOrBuilderList

          public java.util.List<? extends StpApi.CartonContentsErrorOrBuilder> getCartonContentsErrorOrBuilderList()

      Specified by:
        `getCartonContentsErrorOrBuilderList` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsErrorCount

          public int getCartonContentsErrorCount()

      Specified by:
        `getCartonContentsErrorCount` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsError

          public StpApi.CartonContentsError getCartonContentsError(int index)

      Specified by:
        `getCartonContentsError` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsErrorOrBuilder

          public StpApi.CartonContentsErrorOrBuilder getCartonContentsErrorOrBuilder(int index)

      Specified by:
        `getCartonContentsErrorOrBuilder` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### hasStartTimestamp

          public boolean hasStartTimestamp()

      DEPRECATED
      Specified by:
        `hasStartTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getStartTimestamp

          public StpApi.Timestamp getStartTimestamp()

      DEPRECATED
      Specified by:
        `getStartTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getStartTimestampOrBuilder

          public StpApi.TimestampOrBuilder getStartTimestampOrBuilder()

      DEPRECATED
      Specified by:
        `getStartTimestampOrBuilder` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### hasStopTimestamp

          public boolean hasStopTimestamp()

      DEPRECATED
      Specified by:
        `hasStopTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getStopTimestamp

          public StpApi.Timestamp getStopTimestamp()

      DEPRECATED
      Specified by:
        `getStopTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getStopTimestampOrBuilder

          public StpApi.TimestampOrBuilder getStopTimestampOrBuilder()

      DEPRECATED
      Specified by:
        `getStopTimestampOrBuilder` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws java.io.IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected java.lang.Object writeReplace()
                                           throws java.io.ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `java.io.ObjectStreamException`

    - #### parseFrom

          public static StpApi.CartonContentsReport parseFrom(com.google.protobuf.ByteString data)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.CartonContentsReport parseFrom(com.google.protobuf.ByteString data,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.CartonContentsReport parseFrom(byte[] data)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.CartonContentsReport parseFrom(byte[] data,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.CartonContentsReport parseFrom(java.io.InputStream input)
                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.CartonContentsReport parseFrom(java.io.InputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.CartonContentsReport parseDelimitedFrom(java.io.InputStream input)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.CartonContentsReport parseDelimitedFrom(java.io.InputStream input,
                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.CartonContentsReport parseFrom(com.google.protobuf.CodedInputStream input)
                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.CartonContentsReport parseFrom(com.google.protobuf.CodedInputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilder

          public static StpApi.CartonContentsReport.Builder newBuilder()

    - #### newBuilderForType

          public StpApi.CartonContentsReport.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static StpApi.CartonContentsReport.Builder newBuilder(StpApi.CartonContentsReport prototype)

    - #### toBuilder

          public StpApi.CartonContentsReport.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected StpApi.CartonContentsReport.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`